From utisoft@hotmail.com  Sat Jun  4 09:21:12 2011
Return-Path: <utisoft@hotmail.com>
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2001:4f8:fff6::34])
	by hub.freebsd.org (Postfix) with ESMTP id D721C1065670
	for <FreeBSD-gnats-submit@freebsd.org>; Sat,  4 Jun 2011 09:21:07 +0000 (UTC)
	(envelope-from utisoft@hotmail.com)
Received: from blu0-omc1-s37.blu0.hotmail.com (blu0-omc1-s37.blu0.hotmail.com [65.55.116.48])
	by mx1.freebsd.org (Postfix) with ESMTP id 8E6C98FC17
	for <FreeBSD-gnats-submit@freebsd.org>; Sat,  4 Jun 2011 09:21:07 +0000 (UTC)
Received: from BLU0-SMTP162 ([65.55.116.9]) by blu0-omc1-s37.blu0.hotmail.com with Microsoft SMTPSVC(6.0.3790.4675);
	 Sat, 4 Jun 2011 02:21:07 -0700
Received: from zeus.bayofrum.net ([90.221.7.100]) by BLU0-SMTP162.phx.gbl over TLS secured channel with Microsoft SMTPSVC(6.0.3790.4675);
	 Sat, 4 Jun 2011 02:21:05 -0700
Received: from zeus.bayofrum.net (crees@localhost [127.0.0.1])
	by zeus.bayofrum.net (8.14.4/8.14.4) with ESMTP id p549KgPP013340
	(version=TLSv1/SSLv3 cipher=DHE-DSS-AES256-SHA bits=256 verify=NO)
	for <FreeBSD-gnats-submit@freebsd.org>; Sat, 4 Jun 2011 10:20:43 +0100 (BST)
	(envelope-from chris@zeus.bayofrum.net)
Received: (from crees@localhost)
	by zeus.bayofrum.net (8.14.4/8.14.4/Submit) id p549KgZW013339;
	Sat, 4 Jun 2011 10:20:42 +0100 (BST)
	(envelope-from chris)
Message-Id: <BLU0-SMTP16256430BFB8269DA2C731BA97E0@phx.gbl>
Date: Sat, 4 Jun 2011 10:20:42 +0100
From: Chris Rees <utisoft@gmail.com>
Sender: <utisoft@hotmail.com>
Reply-To: Chris Rees <utisoft@gmail.com>
To: FreeBSD-gnats-submit@freebsd.org
Cc:
Subject: Fix port: dns/powerdns-recursor should use USERS
X-Send-Pr-Version: 3.113
X-GNATS-Notify: sten@blinkenlights.nl

>Number:         157587
>Category:       ports
>Synopsis:       Fix port: dns/powerdns-recursor should use USERS
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    crees
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Sat Jun 04 09:30:14 UTC 2011
>Closed-Date:    Sun Jul 03 15:14:03 UTC 2011
>Last-Modified:  Sun Jul  3 15:20:10 UTC 2011
>Originator:     Chris Rees
>Release:        FreeBSD 8.2-RELEASE-p1 i386
>Organization:
bayofrum
>Environment:
System: FreeBSD zeus.bayofrum.net 8.2-RELEASE-p1 FreeBSD 8.2-RELEASE-p1 #0: Sat Apr 30 15:09:06 BST 2011 root@zeus.bayofrum.net:/usr/obj/usr/src/sys/ZEUS i386


	
>Description:
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

>How-To-Repeat:
	
>Fix:

	

	- Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)

	Please note that pkg-install and pkg-deinstall have been removed.

--- dns-powerdns-recursor.patch begins here ---
Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/dns/powerdns-recursor/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- Makefile	30 Sep 2010 05:05:16 -0000	1.22
+++ Makefile	2 Jun 2011 15:27:13 -0000
@@ -41,6 +41,8 @@
 
 .if defined(WITH_SETUID)
 EXTRA_PATCHES+=	${PATCHDIR}/extrapatch-setuid
+USERS=		pdns_recursor
+GROUPS=		pdns
 .endif
 
 .if defined(WITH_LUA)
@@ -71,12 +73,6 @@
 	@${REINPLACE_CMD} -e 's;"/etc/powerdns/";"${PREFIX}/etc/pdns/";' \
 		${WRKSRC}/config.h
 
-.if defined(WITH_SETUID)
-pre-install:
-		@${ECHO} "==>  Creating custom user to run pdns_recursor..."
-		@${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-.endif
-
 post-install:
 .if !exists(${PREFIX}/etc/pdns/recursor.conf)
 	${INSTALL_DATA} ${PREFIX}/etc/pdns/recursor.conf-dist \
Index: pkg-deinstall
===================================================================
RCS file: pkg-deinstall
diff -N pkg-deinstall
--- pkg-deinstall	6 Aug 2008 20:48:41 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,19 +0,0 @@
-#!/bin/sh
-
-if [ "$2" != "POST-DEINSTALL" ]; then
-    exit 0
-fi
-
-PDNSUSER=${PDNSUSER:-pdns_recursor}
-PDNSUID=${PDNSUID:-120}
-PDNSGROUP=${PDNSGROUP:-pdns}
-PDNSGID=${PDNSGID:-120}
-
-if pw groupshow "$PDNSGROUP" 2>/dev/null 1>&2; then
-	echo "To delete the PowerDNS group permanently, use 'pw groupdel ${PDNSGROUP}'"
-fi
-
-if pw usershow "$PDNSUSER" 2>/dev/null 1>&2; then
-	echo "To delete the PowerDNS user permanently, use 'pw userdel ${PDNSUSER}'"
-fi
-exit 0
Index: pkg-install
===================================================================
RCS file: pkg-install
diff -N pkg-install
--- pkg-install	18 Jan 2007 18:57:25 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-if [ "$2" != "PRE-INSTALL" ]; then
-    exit 0
-fi
-
-PDNSUSER=${PDNSUSER:-pdns_recursor}
-PDNSUID=${PDNSUID:-120}
-PDNSGROUP=${PDNSGROUP:-pdns}
-PDNSGID=${PDNSGID:-120}
-
-if ! pw groupshow "$PDNSGROUP" 2>/dev/null 1>&2; then
-	if pw groupadd $PDNSGROUP -g $PDNSGID; then
-		echo "=> Added group \"$PDNSGROUP\"."
-	else
-		echo "=> Adding group \"$PDNSGROUP\" failed..."
-		exit 1
-	fi
-fi
-
-if ! pw usershow "$PDNSUSER" 2>/dev/null 1>&2; then
-	if pw useradd $PDNSUSER -u $PDNSUID -g $PDNSGROUP -h - \
-		-s "/sbin/nologin" -d "/nonexistent" \
-		-c "pdns_recursor pseudo-user"; \
-	then
-		echo "=> Added user \"$PDNSUSER\"."
-	else
-		echo "=> Adding user \"$PDNSUSER\" failed..."
-		exit 1
-	fi
-fi
-exit 0
--- dns-powerdns-recursor.patch ends here ---



-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->pgollucci 
Responsible-Changed-By: edwin 
Responsible-Changed-When: Sat Jun 4 09:31:43 UTC 2011 
Responsible-Changed-Why:  
pgollucci@ wants his PRs (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157587 
State-Changed-From-To: open->feedback 
State-Changed-By: edwin 
State-Changed-When: Sat Jun 4 09:31:53 UTC 2011 
State-Changed-Why:  
Awaiting maintainers feedback (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157587 

From: Edwin Groothuis <edwin@FreeBSD.org>
To: sten@blinkenlights.nl
Cc: bug-followup@FreeBSD.org
Subject: Re: ports/157587: Fix port: dns/powerdns-recursor should use USERS
Date: Sat, 4 Jun 2011 09:31:49 UT

 Maintainer of dns/powerdns-recursor,
 
 Please note that PR ports/157587 has just been submitted.
 
 If it contains a patch for an upgrade, an enhancement or a bug fix
 you agree on, reply to this email stating that you approve the patch
 and a committer will take care of it.
 
 The full text of the PR can be found at:
     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157587
 
 -- 
 Edwin Groothuis via the GNATS Auto Assign Tool
 edwin@FreeBSD.org

From: Sten Spans <sten@blinkenlights.nl>
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/157587: Fix port: dns/powerdns-recursor should use USERS
Date: Sat, 18 Jun 2011 21:54:47 +0200 (CEST)

 On Sat, 4 Jun 2011, Edwin Groothuis wrote:
 
 > Maintainer of dns/powerdns-recursor,
 >
 > Please note that PR ports/157587 has just been submitted.
 >
 > If it contains a patch for an upgrade, an enhancement or a bug fix
 > you agree on, reply to this email stating that you approve the patch
 > and a committer will take care of it.
 >
 > The full text of the PR can be found at:
 >    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157587
 
 
 Looks good, nice to see this kinda stuff integrated
 in the ports system.
 
 -- 
 Sten Spans
 
 "There is a crack in everything, that's how the light gets in."
 Leonard Cohen - Anthem
Responsible-Changed-From-To: pgollucci->crees 
Responsible-Changed-By: crees 
Responsible-Changed-When: Wed Jun 22 16:53:06 UTC 2011 
Responsible-Changed-Why:  
Invalid autoassignment 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157587 
Responsible-Changed-From-To: crees->freebsd-ports-bugs 
Responsible-Changed-By: crees 
Responsible-Changed-When: Wed Jun 22 17:01:33 UTC 2011 
Responsible-Changed-Why:  
To pool to correct assign message 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157587 
Responsible-Changed-From-To: freebsd-ports-bugs->crees 
Responsible-Changed-By: crees 
Responsible-Changed-When: Wed Jun 22 17:24:28 UTC 2011 
Responsible-Changed-Why:  
Invalid autoassignment to pgollucci 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157587 
State-Changed-From-To: feedback->open 
State-Changed-By: crees 
State-Changed-When: Sun Jun 26 16:34:50 UTC 2011 
State-Changed-Why:  
Maintainer has approved. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157587 
State-Changed-From-To: open->closed 
State-Changed-By: crees 
State-Changed-When: Sun Jul 3 15:14:01 UTC 2011 
State-Changed-Why:  
Committed. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157587 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/157587: commit references a PR
Date: Sun,  3 Jul 2011 15:12:45 +0000 (UTC)

 crees       2011-07-03 15:12:31 UTC
 
   FreeBSD ports repository
 
   Modified files:
     dns/powerdns-recursor Makefile 
   Removed files:
     dns/powerdns-recursor pkg-deinstall pkg-install 
   Log:
   - Use USERS and GROUPS
   
   PR:             ports/157587
   Submitted by:   Chris Rees <utisoft@gmail.com>
   Approved by:    rene (mentor)
   
   Revision  Changes    Path
   1.23      +2 -6      ports/dns/powerdns-recursor/Makefile
   1.2       +0 -19     ports/dns/powerdns-recursor/pkg-deinstall (dead)
   1.2       +0 -32     ports/dns/powerdns-recursor/pkg-install (dead)
 _______________________________________________
 cvs-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/cvs-all
 To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
 
>Unformatted:
